Package qsardes.descriptor.qsarme

# Class QsarMERingCount

java.lang.Object
qsardes.descriptor.DescriptorRingCount
qsardes.descriptor.qsarme.QsarMERingCount

All Implemented Interfaces:
  `Descriptor`

public final class QsarMERingCount extends DescriptorRingCount
Ring count descriptors (QSAR-ME Profiler 2025).
Calculates ring count descriptors.
Returns
nRing - rings count.
n#Ring - #-membered rings count.
nG12Ring - Greater than 12-membered rings count.
nHeteroRing - Rings containing heteroatoms (N, O, P, S, or halogens) count.
n#HeteroRing - #-membered rings containing heteroatoms (N, O, P, S, or halogens) count.
nG12HeteroRing - Greater than 12-membered rings containing heteroatoms (N, O, P, S, or halogens) count.
# is the member number spanning from 3 to 12.
nFRing - Fused rings count.
nF*Ring - *-membered fused rings count.
nFG12Ring - Greater than 12-membered fused rings count.
nTRing - Rings count (including counts from fused rings).
nT*Ring - *-membered rings count (including counts from fused rings).
nTG12Ring - Greater than 12-membered rings count (including counts from fused rings).
nFHeteroRing - Fused rings containing heteroatoms (N, O, P, S, or halogens) count.
nF*HeteroRing - *-membered fused rings containing heteroatoms (N, O, P, S, or halogens) count.
nFG12HeteroRing - Greater than 12-membered fused rings containing heteroatoms (N, O, P, S, or halogens) count.
nTHeteroRing - Rings containing heteroatoms (N, O, P, S, or halogens) count (including counts from fused rings).
nT*HeteroRing - *-membered rings containing heteroatoms (N, O, P, S, or halogens) count (including counts from fused rings).
nTG12HeteroRing - Number of Greater than 12-membered rings containing heteroatoms (N, O, P, S, or halogens) count (including counts from fused rings).
* is the member number spanning from 4 to 12.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMERingCount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.openscience.cdk.interfaces.IRingSet`
  `get_t_ring_set(org.openscience.cdk.interfaces.IAtomContainer iac)`

  ### Methods inherited from class qsardes.descriptor.DescriptorRingCount

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMERingCount

    public QsarMERingCount()

- ## Method Details

  - ### get_t_ring_set

    protected org.openscience.cdk.interfaces.IRingSet get_t_ring_set(org.openscience.cdk.interfaces.IAtomContainer iac) throws org.openscience.cdk.exception.CDKException
    Specified by:
      `get_t_ring_set` in class `DescriptorRingCount`
    Throws:
      `org.openscience.cdk.exception.CDKException`